## IdeTemplateBase IdeTemplateBase |

## Functions

TmplTemplateLocator * | ide_template_base_get_locator ()
void | ide_template_base_set_locator ()
void | ide_template_base_add_resource ()
void | ide_template_base_add_path ()
void | ide_template_base_expand_all_async ()
gboolean | ide_template_base_expand_all_finish ()
void | ide_template_base_reset ()

## Properties

TmplTemplateLocator * | locator | Read / Write

## Types and Values

#define | IDE_TYPE_TEMPLATE_BASE
struct | IdeTemplateBaseClass
| IdeTemplateBase

## Object Hierarchy

        GObject
        ╰── IdeTemplateBase

## Description

## Functions

### ide_template_base_get_locator ()

    TmplTemplateLocator *
    ide_template_base_get_locator (IdeTemplateBase *self);

Fetches the TmplTemplateLocator used for resolving templates.

#### Parameters

self | An IdeTemplateBase |

#### Returns

a TmplTemplateLocator or `NULL`.

[transfer none][nullable]

### ide_template_base_set_locator ()

    void
    ide_template_base_set_locator (IdeTemplateBase *self,
                                   TmplTemplateLocator *locator);

### ide_template_base_add_resource ()

    void
    ide_template_base_add_resource (IdeTemplateBase *self,
                                    const gchar *resource_path,
                                    GFile *destination,
                                    TmplScope *scope,
                                    gint mode);

### ide_template_base_add_path ()

    void
    ide_template_base_add_path (IdeTemplateBase *self,
                                const gchar *path,
                                GFile *destination,
                                TmplScope *scope,
                                gint mode);

### ide_template_base_expand_all_async ()

    void
    ide_template_base_expand_all_async (IdeTemplateBase *self,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

### ide_template_base_expand_all_finish ()

    gboolean
    ide_template_base_expand_all_finish (IdeTemplateBase *self,
                                         GAsyncResult *result,
                                         GError **error);

### ide_template_base_reset ()

    void
    ide_template_base_reset (IdeTemplateBase *self);

## Types and Values

### IDE_TYPE_TEMPLATE_BASE

    #define IDE_TYPE_TEMPLATE_BASE (ide_template_base_get_type())

### struct IdeTemplateBaseClass

    struct IdeTemplateBaseClass {
      GObjectClass parent_class;
    };

### IdeTemplateBase

    typedef struct _IdeTemplateBase IdeTemplateBase;

## Property Details

### The `“locator”` property

      “locator”                  TmplTemplateLocator *

The “locator” property contains the TmplTemplateLocator that should be used to resolve template includes. If `NULL`, templates will not be allowed to include other templates. directive.

Flags: Read / Write